﻿using SvnTools;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using System.IO;
using System.Text;
using System.Reflection;

namespace SvnLibUnitTests
{      
    /// <summary>
    ///This is a test class for SvnLookInfoTest and is intended
    ///to contain all SvnLookInfoTest Unit Tests
    ///</summary>
	[TestClass()]
	public class SvnLookInfoTest
	{


		private TestContext testContextInstance;

		/// <summary>
		///Gets or sets the test context which provides
		///information about and functionality for the current test run.
		///</summary>
		public TestContext TestContext
		{
			get
			{
				return testContextInstance;
			}
			set
			{
				testContextInstance = value;
			}
		}

		#region Additional test attributes
		// 
		//You can use the following additional attributes as you write your tests:
		//
		//Use ClassInitialize to run code before running the first test in the class
		//[ClassInitialize()]
		//public static void MyClassInitialize(TestContext testContext)
		//{
		//}
		//
		//Use ClassCleanup to run code after all tests in a class have run
		//[ClassCleanup()]
		//public static void MyClassCleanup()
		//{
		//}
		//
		//Use TestInitialize to run code before running each test
		//[TestInitialize()]
		//public void MyTestInitialize()
		//{
		//}
		//
		//Use TestCleanup to run code after each test has run
		//[TestCleanup()]
		//public void MyTestCleanup()
		//{
		//}
		//
		#endregion

		/// <summary>
		///A test for Parse
		///</summary>
		[TestMethod()]
		public void ParseTest()
		{
			// Note: SvnLookInfo.output will be copied to the folder where the tests are executed,
			//       It's configured in 'Solution Items\LocalTestRun.testrunconfig'. You can find it
			//       in Solution Explorer.
			string inputFileName = "SvnLookInfo.output";
			StreamReader reader = new StreamReader(inputFileName, Encoding.Default);
			SvnLookInfo actual = SvnLookInfo.Parse(reader);

			Assert.AreEqual(actual.CommitAuthor, "michael");
			Assert.AreEqual(actual.LogMessage, "The Log Message");
		}
	}
}
